#include "ukui-shortcut-plugin.h"

using namespace UkuiShortcut;

class NullShortcutPlugin : public UkuiShortcutPlugin
{
    Q_OBJECT
    Q_PLUGIN_METADATA(IID UKUI_SHORTCUT_PLUGIN_IFACE_IID FILE "valid-shortcut-plugin.json")
    Q_INTERFACES(UkuiShortcut::UkuiShortcutPlugin)

public:
    QString pluginId() override
    {
        return QStringLiteral("null-shortcut-plugin");
    }

    QStringList translations() override
    {
        return {};
    }

    Shortcut *createShortcut() override
    {
        return nullptr;
    }
};

#include "null-shortcut-plugin.moc"
